Subject: Re: git-daemon: path validation, export all option

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 27 Sep 2005 09:14:49 -0700

Junio C Hamano wrote:
> 
> A microNit.  You could lose 'int ok' and return 1 directly where
> you assign 1 to it and break.
> 

I guess I personally prefer the coding style where the straigh-line flow 
of control is the normal one.  It prevents the "oops" of someone wanting 
to add code to it later.

> 
>>-	chdir(".git");
> 
> I am unsure about this removal of "minor convenience feature".
> Although I do not think git-daemon is widely used on the field,
> this change breaks existing setup if there is any.

I have restored this and make the requested RPM changes.  I have left a 
pullable tree at:

master.kernel.org:/home/hpa/git/daemon.git

... in order to preserve the commit structure.

	-hpa